Python Pandas – Missing required dependencies [‘numpy’] 1

Since yesterday I’ve had this error when I try to import packages on anaconda :

ImportError: Missing required dependencies ['numpy']

I have tried un-installing Anaconda and Python, switching to Python 2.7 but nothing works it’s still the same error, here is the code I get :

enter image description here

Any help is really appreciated thanks !

28 Answers

I had this same issue immediately after upgrading pandas to 0.19.2. I fixed it with the following install/uninstall sequence from the windows cmd line:

pip uninstall pandas -y
pip uninstall numpy -y
pip install pandas
pip install numpy

This also broke my matplotlib install so I uninstalled/installed that as well.

Very odd behavior for a seemingly routine upgrade.

What happens if you try to import numpy?

Have you tried’

pip install --upgrade numpy
pip install --upgrade pandas

I had to install this other package:

sudo apt-get install libatlas-base-dev

Seems like it is a dependency for numpy but the pip or apt-get don’t install it automatically for whatever reason.

I had this problem with last version of numpy 1.16.x

Problem resolved with

python3 -m pip uninstall numpy

python3 -m pip install numpy==1.14.0

Did you install miniconda and pandas without dependencies?

Try installing numpy first with conda install numpy or pip install numpy.

If you’re on Windows you can get pre-compiled versions of most libraries that require compilation from here.

The data manipulation capabilities of pandas are built on top of the numpy library. In a way, numpy is a dependency of the pandas library. If you want to use pandas, you have to make sure you also have numpy. When you install pandas using pip, it automatically installs numpy. If it doesn’t, try the following

pip install -U numpy pandas

For conda

conda install numpy pandas

I also faced the same issue. It happened to me after I upgraded my numpy library. It was resolved in my case by upgrading my pandas library as well after upgrading my numpy library using the below command:

pip install --upgrade pandas

On Windows 10 Anaconda3-5.3.0-Windows-x86_64 I had the Missing required dependencies ['numpy'] error when running scripts as so, %HOMEPATH%AppDataLocalContinuumanaconda3python.exe pandas_script_foo.py.

In my case the error was caused by missing Anaconda package PATH definitions when running Anaconda python.exe in a windows cmd.exe session. The numpy package is not missing. It just can’t be found on the PATH.

The Anaconda installation includes windows shortcuts that give examples of configuring the PATH per script run. See the shortcuts in the %HOMEPATH%AppDataRoamingMicrosoftWindowsStart MenuProgramsAnaconda3 (64-bit) directory for examples. See the %HOMEPATH%AppDataLocalContinuumanaconda3cwp.py script to see how Anaconda configures PATH.

Below is an example windows BAT file that calls cwp.py to setup PATH, and then run a python script. Its a copy of the commands the Anaconda jupyter-lab shortcut executes.

%HOMEPATH%AppDataLocalContinuumanaconda3python.exe ^
%HOMEPATH%AppDataLocalContinuumanaconda3cwp.py ^
%HOMEPATH%AppDataLocalContinuumanaconda3 ^
%HOMEPATH%AppDataLocalContinuumanaconda3python.exe ^
%HOMEPATH%AppDataLocalContinuumanaconda3Scriptsjupyter-lab-script.py

If you need to execute python scripts on Anaconda with the conveniance of running a BAT file, the above BAT file example should do the trick.

I had the same issue. It was because I had multiple versions of numpy installed. Remove all versions by repeatedly using:

pip uninstall numpy

Then re-install it with the command:

pip install numpy

First, try to import numpy on it’s own, like so:

import numpy as np

I got this message:

ImportError: Something is wrong with the numpy installation. While importing 
we detected an older version of numpy in 
['/home/michael/.local/lib/python3.6/site-packages/numpy']. One method of 
fixing this is to repeatedly uninstall numpy until none is found, then 
reinstall this version.

So do what it says, keep uninstalling numpy until there is none, and then reinstall.

This worked for me.

I had the same issue while using Microsoft Visual Code with Python 3.7.3 64-bit(‘base’:conda)as my python interpreter. Before running any code type the following three commands:

C:/ProgramData/Anaconda3/Scripts/activate #activate conda Scripts directory
conda activate base                       #activate conda
& C:/ProgramData/Anaconda3/python.exe     #to run python

I had the same issue with anaconda package, it got updated.

anaconda  {4.3.1 -> custom} ## I am not sure if this was the issue

Hit below command to know

conda list --revisions

what i did is just uninstall pandas with conda and re-install it

conda install pandas

Some new libs may also get installed with it.

It worked for me hope will do the same for you.

Uninstall all pip packages that you’re having problems with. Manually remove all site-packages files. If you’re using MacPorts, sudo port clean .

Then try reinstalling. Sometimes, there are files that should have been removed, but weren’t if the installation was abruptly interrupted or something.

There could be an issue with conflicting versions of the package(s), as well as potentially issues with Pathing. Are you sure you’ve set the correct Path for your binaries? (/opt/local/bin, /anaconda2/bin, etc.)

Another issue could be some PYTHONPATH that’s explicitly looking in the wrong place for the file.

I had a same issue recently with Anaconda with Python 3.7.

I solved this problem by downgrading python version to 3.6:

conda install python=3.6

and then by updating all the packages:

conda update --all

pandas is built on top of numpy so you need to have numpy to use the data manipulation feature, so install numpy first.

pip install numpy 

Try:

    sudo apt-get install libatlas-base-dev

It should work now.

Else, try uninstall and reinstall numpy and pandas.

This worked in my anaconda environment, but I do not know why conda does not work. For some reason conda uninstall was not sufficient. This only worked with conda remove.

conda remove pandas
conda remove numpy
conda install pip
pip install pandas

*With help from this answer

This raises the following import warning in python 3.6 and 3.7:

ImportWarning: can't resolve package from __spec__ or __package__, falling back on __name__ and __path__

If you with to ignore this warning (and maybe other ImportWarnings), add the following to your script before importing pandas:

import warnings
warnings.filterwarnings('ignore', category=ImportWarning, module='_bootstrap.py')

In my case even though I was using the above options of uninstall and installing using pip the code was still giving me same errors.

Finally, I created a vritual environment and Installed numpy and pandas using pip in my virtual env. Now the code is running.

Steps: for Anaconda3 – Please change according to your installation type: [if you dont have virtual env package installed]

$ pip install virtualenv
[from command prompt go to the directory by c:anadonda3scripts

[write the following command to use virtual env to create a virtual env for you in your desired location]
$virtualenv c:anaconda3envsmy_virtual_env
[once created you will have to activate your virtual env]
$c:anaconda3envsmy_virtual_envscripts activate
[now pip install numpy and pandas and other required packages using pip] [once installations are done exit from the virtual env]
$c:anaconda3envsmy_virtual_envscripts deactivate

now use the python.exe inside your virtual env folder to run the script and it will run even with python 3.7.

I am using Win10 and Conda, and this issue just append to me when upgrading python 3.7.2-h8c8aaf0_0 --> 3.7.2-h8c8aaf0_2. I solved it by return to the previous version with

conda install python=3.7.2=h8c8aaf0_0

If you’re running your program on PyCharm on Windows, there is a known bug, because PyCharm simply doesn’t add env-related paths to PATH.

The issue is fixed in the 2019.1 Early Access Preview (EAP) build.

For me installing the EAP fixed the issue.

nothing worked for me … except when I found this

I suspect that you have a local file called unittest.py that is getting imported instead of the standard module.

I was trying to upgrade my anaconda 2 with anaconda 3. I tried installing Anaconda3-2018.12-Windows-x86 and Anaconda3-2019.03-Windows-x86_64 on my Windows 10 machine and failed with this error. For me, using Anaconda3-4.4.0-Windows-x86_64 for anaconda 3 worked the trick after trying everything listed in answers here.

I fixed this using Anaconda by going to Environments > base(root), searching for numpy in the installed modules and clicking the tickbox alongside it and choosing > Mark for specific version installation > 1.14.0 (as suggested by another user on this thread). Then clicking Apply. Once it downgraded numpy I stopped getting errors when running py files on the command line.

Throughout this saga, I was still able to use https://pypi.org/project/auto-py-to-exe/ even when I was getting the numpy errors on the command line, but it was a hassle to create an exe every time I wanted to test a change. It’s all sorted now. I guess there was a problem with numpy 1.16.4.

Anyway, I hope this helps someone who’s using Anaconda as well.

The following worked for me. Deleted the folders for numpy and pandas together with their contents completely from the site-packages folder. Check depending on whether you are using python2 or python3. Check the exact path as per your machine.


N.B handle with care “rm -rf” command. If you are not sure of what you are doing, please do it manually using any file explorer of your choice!!

  1. rm -rf ~/anaconda2/envs/myenv/lib/pythonX/site-packages/pandas*

  2. rm -rf ~/anaconda2/envs/myenv/lib/pythonX/site-packages/numpy*

Then i installed clean packages for pandas and numpy as usual with

  • pip install numpy
  • pip install pandas

I’ve got the same error recently.
Before applying uninstall or install tools, try to update your Jupyter.

How? Go to ‘Environments’ and type on the Search Packages box ‘pandas’.
Afterwards, check the version (if that column shows a blue number with a diagonal arrow, it means that your pandas is out of date).
Click on ‘pandas’ and a option will pop up (choose ‘Apply’ and wait for a couple of minutes to update the package).
And then, make a quick test on any notebook to make sure that your Jupyter is running smoothly.

I have same problem. I have got two version of numpy 1.16.6 and 1.15.4, fresh installed pandas did not work correctly. I fixed it by uninstalling all versions of numpy and pandas and install the last versions.

$ pip uninstall  numpy pandas -y
Uninstalling numpy-1.16.6:
  Successfully uninstalled numpy-1.16.6
Uninstalling pandas-0.24.2:
  Successfully uninstalled pandas-0.24.2
$ pip uninstall  numpy pandas -y
Uninstalling numpy-1.15.4:
  Successfully uninstalled numpy-1.15.4
Cannot uninstall requirement pandas, not installed
$ pip uninstall  numpy pandas -y
Cannot uninstall requirement numpy, not installed
$ pip install  numpy pandas

build_exe_options = {"packages": ["os",'pandas','numpy']}

It works.

you are running python 3.7

create environment for python 3.6

python3.6 filename.py

Leave a Reply

Your email address will not be published. Required fields are marked *